<?php
require("./total.inc");

session_start();
require("./ninsyou.inc");
if(0 > ninsyou_check(1)){
   exit;
   }

$user_name = $_POST["USER"];
$user_pass = $_POST["PASS"];
$user_rev = $_POST["REV"];

if(0 >= strlen($user_name)){
   print("not user name.\n");
   exit;
   }

if(0 >= strlen($user_pass)){
   print("not user pass.\n");
   exit;
   }

if(0 >= strlen($user_rev)){
   print("not user rev.\n");
   exit;
   }

$myutime = date("U");

echo "<HTML>";
echo "<HEAD>";
	echo "<meta http-equiv='Content-Type' content='text/html; charset=EUC-JP'>";
	echo "<TITLE>Zither server Administration tool 'Apollon'</TITLE>";

echo "<SCRIPT LANGUAGE='JavaScript'>";
echo "<!--
function WinCls(){
        window.close()
                       }
//     window.onload=WinCls();
//-->";
echo "</SCRIPT>";

echo "</HEAD>";

echo "<body alink='#ff0000' bgcolor='$my_bgcolor' link='#0000ff' text='#000000' vlink='#000080'>";
echo "<pre>";



echo "アカウントがあるか確認 \n";
echo " \n";

$conn = db_connect();
if(!$conn){
   echo "データベースにつながらない \n";
   echo "ninsyou_check(): not connection!<br>";
   return -1;
   }

$result = db_query($conn, "select * from ninsyou where namae = '$user_name';");
if(!$result){
   print("ninsyou_check(): banem select , bud query\n");
   return -1;
   }
$num = db_num_rows($result);
if($num == 1){
   print("アカウントがすでにあるので、UPDATEしてみます \n");
   $result2 = db_query($conn, "update ninsyou set passw='$user_pass', rev='$user_rev'  where namae='$user_name';");
   if($result2){
      print("アカウントはUPDATEされました\n");
      db_free_result($result2);
      }
   else{
      print("アカウントはアップデートに失敗したもよう \n");
      db_free_result($result2);
      }
   }
else{
   print("アカウントが無いので新しく作ってみます。 \n");
   $result3 = db_query($conn, "INSERT INTO ninsyou VALUES ( '$myutime', '$myutime', '$user_name', '$user_pass', '$user_rev' );");
   if($result3){
      print("アカウントは作成されました\n");
      db_free_result($result3);
      }
   else{
      print("アカウントは作成に失敗したもよう \n");
      db_free_result($result3);
      }
   }

db_free_result($result);
db_Close($conn);



echo "</pre>";
echo "</body>";

echo "</HTML>";

?>
